[jbpm-commits] JBoss JBPM SVN: r3642 - jbpm4/trunk/hudson.

do-not-reply at jboss.org do-not-reply at jboss.org
Thu Jan 15 02:49:43 EST 2009


Author: tom.baeyens at jboss.com
Date: 2009-01-15 02:49:43 -0500 (Thu, 15 Jan 2009)
New Revision: 3642

Added:
   jbpm4/trunk/hudson/jbpm4-base.sh
   jbpm4/trunk/hudson/jbpm4-db.sh
   jbpm4/trunk/hudson/jbpm4-load.sh
Removed:
   jbpm4/trunk/hudson/ant.properties.example
   jbpm4/trunk/hudson/apache-tomcat/
   jbpm4/trunk/hudson/build.xml
   jbpm4/trunk/hudson/hudson-home/
   jbpm4/trunk/hudson/jboss/
Log:
hudson scripts clean up

Deleted: jbpm4/trunk/hudson/ant.properties.example
===================================================================
--- jbpm4/trunk/hudson/ant.properties.example	2009-01-15 00:09:44 UTC (rev 3641)
+++ jbpm4/trunk/hudson/ant.properties.example	2009-01-15 07:49:43 UTC (rev 3642)
@@ -1,37 +0,0 @@
-#
-# A sample ant properties file
-#
-# $Id: ant.properties.example 3995 2007-07-26 08:52:45Z thomas.diesler at jboss.com $
-
-# JBoss remote repository
-jboss.repository=http://repository.jboss.org
-
-# The JBoss settings
-jboss.server.instance=default
-jboss.bind.address=127.0.0.1
-
-# JDK settings
-java.home.jdk15=/usr/java/jdk1.5.0_15
-java.home.jdk16=/usr/java/jdk1.6.0_06
-
-# Hudson QA Environment
-hudson.username=changeme
-hudson.password=changeme
-
-hudson.maven.path=/usr/java/apache-maven-2.0.9
-
-hudson.root=/usr/share/java/workspace
-hudson.host=jbws.dyndns.org
-hudson.admin.port=8150
-hudson.http.port=8180
-
-hudson.jboss422.zip=file:///home/tdiesler/Download/Java/jboss/jboss-4.2.2.GA.zip
-hudson.jboss423.zip=file:///home/tdiesler/Download/Java/jboss/jboss-4.2.3.GA.zip
-hudson.jboss500.zip=file:///home/tdiesler/Download/Java/jboss/jboss-5.0.0.CR2.zip
-
-hudson.mail.recipients=
-hudson.smtp.host=localhost
-
-# Hudson (1.252)
-apache-tomcat=5.5.20
-sun-hudson=2402/109746

Deleted: jbpm4/trunk/hudson/build.xml
===================================================================
--- jbpm4/trunk/hudson/build.xml	2009-01-15 00:09:44 UTC (rev 3641)
+++ jbpm4/trunk/hudson/build.xml	2009-01-15 07:49:43 UTC (rev 3642)
@@ -1,208 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<!-- ====================================================================== -->
-<!--                                                                        -->
-<!--  JBoss, the OpenSource J2EE webOS                                      -->
-<!--                                                                        -->
-<!--  Distributable under LGPL license.                                     -->
-<!--  See terms of license at http://www.gnu.org.                           -->
-<!--                                                                        -->
-<!-- ====================================================================== -->
-
-<!-- $Id$ -->
-
-<project>
-  
-  <property name="hudson.dir" value="${basedir}"/>
-  <property name="hudson.target.dir" value="${hudson.dir}/target"/>
-  
-  <!-- ================================================================== -->
-  <!-- Initialization                                                     -->
-  <!-- ================================================================== -->
-  
-  <target name="init">
-    <!-- Check if ant.properties is available -->
-    <available property="ant.properties.available" file="${basedir}/ant.properties"/>
-    <fail message="Cannot find ant.properties. Did you copy/edit ant.properties.example?" unless="ant.properties.available"/>
-    
-    <property file="${basedir}/ant.properties"/>
-    
-    <xmlproperty file="${basedir}/../pom.xml"/>
-    <property name="version.id" value="${project.version}"/>
-    <property name="repository.id" value="${project.version}"/>
-    
-    <echo message="version.id=${version.id}"/>
-    <echo message="repository.id=${repository.id}"/>
-  </target>
-  
-  <target name="init-hudson" depends="init">
-    <property name="hudson.base" value="${hudson.root}/jbpm-hudson-${version.id}"/>
-    <property name="hudson.tomcat" value="${hudson.base}/apache-tomcat"/>
-    <property name="hudson.home" value="${hudson.base}/hudson-home"/>
-    <property name="hudson.jboss" value="${hudson.base}/jboss"/>
-    
-    <echo/>
-    <echo message="hudson.root = ${hudson.root}"/>
-    <echo message="hudson.home = ${hudson.home}"/>
-    <echo/>
-    
-    <available file="${hudson.root}" property="hudson.root.available"/>
-    <available file="${hudson.tomcat}" property="hudson.tomcat.available"/>
-    <fail message="Hudson root not available" unless="hudson.root.available"/>
-    
-    <property name="hudson.username.${hudson.username}" value="true"/>
-    <fail message="Cannot use default hudson username: ${hudson.username}" if="hudson.username.changeme"/>
-    <property name="hudson.password.${hudson.password}" value="true"/>
-    <fail message="Cannot use default hudson password: ${hudson.password}" if="hudson.password.changeme"/>
-  </target>
-  
-  <target name="init-thirdparty" depends="init-hudson">
-    <property name="thirdparty.dir" value="${hudson.target.dir}/thirdparty"/>
-    <mkdir dir="${thirdparty.dir}"/>
-    <available property="apache.tomcat.available" file="${thirdparty.dir}/apache-tomcat.zip"/>
-    <available property="sun.hudson.available" file="${thirdparty.dir}/hudson.war"/>
-    <available property="jboss422.available" file="${thirdparty.dir}/jboss-4.2.2.GA.zip"/>
-    <available property="jboss423.available" file="${thirdparty.dir}/jboss-4.2.3.GA.zip"/>
-    <available property="jboss500.available" file="${thirdparty.dir}/jboss-5.0.0.CR2.zip"/>
-  </target>
-	
-  <!-- 
-    Get thirdparty dependencies 
-  -->
-  <target name="thirdparty" depends="init-thirdparty,get-tomcat,get-hudson,get-jboss422,get-jboss423,get-jboss500">
-    <copy todir="${hudson.base}/jboss" file="${thirdparty.dir}/jboss-4.2.2.GA.zip"/>
-    <copy todir="${hudson.base}/jboss" file="${thirdparty.dir}/jboss-4.2.3.GA.zip"/>
-    <copy todir="${hudson.base}/jboss" file="${thirdparty.dir}/jboss-5.0.0.CR2.zip"/>
-  </target>
-  <target name="get-tomcat" depends="init-thirdparty" unless="apache.tomcat.available">
-    <get src="${jboss.repository}/apache-tomcat/${apache-tomcat}/lib/apache-tomcat.zip" dest="${thirdparty.dir}/apache-tomcat.zip" usetimestamp="true" verbose="true"/>
-  </target>
-  <target name="get-hudson" depends="init-thirdparty" unless="sun.hudson.available">
-    <get src="https://hudson.dev.java.net/files/documents/${sun-hudson}/hudson.war" dest="${thirdparty.dir}/hudson.war" usetimestamp="true" verbose="true"/>
-  </target>
-  <target name="get-jboss422" depends="init-thirdparty" unless="jboss422.available">
-    <property name="hudson.jboss422.zip" value="http://downloads.sourceforge.net/jboss/jboss-4.2.2.GA.zip"/>
-    <get src="${hudson.jboss422.zip}" dest="${thirdparty.dir}/jboss-4.2.2.GA.zip" usetimestamp="true" verbose="true"/>
-  </target>
-  <target name="get-jboss423" depends="init-thirdparty" unless="jboss423.available">
-    <property name="hudson.jboss423.zip" value="http://downloads.sourceforge.net/jboss/jboss-4.2.3.GA.zip"/>
-    <get src="${hudson.jboss423.zip}" dest="${thirdparty.dir}/jboss-4.2.3.GA.zip" usetimestamp="true" verbose="true"/>
-  </target>
-  <target name="get-jboss500" depends="init-thirdparty" unless="jboss500.available">
-    <property name="hudson.jboss500.zip" value="http://downloads.sourceforge.net/jboss/jboss-5.0.0.CR2.zip"/>
-    <get src="${hudson.jboss500.zip}" dest="${thirdparty.dir}/jboss-5.0.0.CR2.zip" usetimestamp="true" verbose="true"/>
-  </target>
-  
-  <!-- 
-    Setup the Hudson Tomcat instance 
-  -->
-  <target name="hudson-tomcat-setup" depends="thirdparty" unless="hudson.tomcat.available">
-    
-    <!-- Install Tomcat -->
-    <mkdir dir="${hudson.root}"/>
-    <unzip src="${thirdparty.dir}/apache-tomcat.zip" dest="${hudson.root}"/>
-    <move file="${hudson.root}/apache-tomcat-${apache-tomcat}" tofile="${hudson.tomcat}"/>
-    <chmod perm="+x">
-      <fileset dir="${hudson.tomcat}/bin">
-        <include name="*.sh"/>
-      </fileset>
-    </chmod>
-    
-    <!-- Install Hudson -->
-    <copy todir="${hudson.tomcat}/webapps" file="${thirdparty.dir}/hudson.war"/>
-    
-  </target>
-  
-  <!-- 
-    Update the Hudson version
-  -->
-  <target name="hudson-update" depends="init-hudson">
-    <get src="${jboss.repository}/sun-hudson/${sun-hudson}/lib/hudson.war" dest="${thirdparty.dir}/hudson.war" usetimestamp="false" verbose="true"/>
-    <delete dir="${hudson.tomcat}/webapps/hudson"/>
-    <copy todir="${hudson.tomcat}/webapps" file="${thirdparty.dir}/hudson.war"/>
-  </target>
-
-  <!-- 
-    Setup the Hudson QA environment
-  -->
-  <target name="hudson-setup" depends="init-hudson,hudson-tomcat-setup"  description="Setup the Hudson QA environment">
-    
-    <!-- get the svn url -->
-    <exec dir="${hudson.dir}/.." executable="svn" failonerror="true" output="${hudson.target.dir}/svn-info.xml">
-      <arg line="info"/>
-      <arg line="--xml"/>
-    </exec>
-    <xmlproperty file="${hudson.target.dir}/svn-info.xml"/>
-    <property name="hudson.jbpm.url" value="${info.entry.url}"/>
-    
-    <!-- Configure Tomcat -->
-    <copy todir="${hudson.tomcat}" overwrite="true">
-      <fileset dir="${hudson.dir}/apache-tomcat">
-        <include name="**/*.xml"/>
-      </fileset>
-      <filterset>
-        <filtersfile file="${hudson.dir}/ant.properties"/>
-        <filter token="hudson.home" value="${hudson.home}"/>
-      </filterset>
-    </copy>
-    
-    <!-- Configure Hudson -->
-    <copy todir="${hudson.home}" overwrite="true">
-      <fileset dir="${hudson.dir}/hudson-home">
-        <include name="jobs/*/config.xml"/>
-        <include name="command.sh"/>
-        <include name="*.xml"/>
-      </fileset>
-      <filterset>
-        <filter token="hudson.jbpm.url" value="${hudson.jbpm.url}"/>
-        <filter token="hudson.base" value="${hudson.base}"/>
-        <filter token="hudson.home" value="${hudson.home}"/>
-        <filter token="version.id" value="${version.id}"/>
-        <filtersfile file="${hudson.dir}/ant.properties"/>
-      </filterset>
-    </copy>
-
-    <echo/>
-    <echo message="*************************************"/>
-    <echo message="* Hudson setup successfully         *"/>
-    <echo message="* ant hudson-start                  *"/>
-    <echo message="*************************************"/>
-    <echo/>
-
-  </target>
-  
-  <target name="hudson-stop" depends="init-hudson" description="Stops the Hudson QA environment">
-    
-    <exec executable="${hudson.tomcat}/bin/catalina.sh" failonerror="true">
-      <arg line="stop"/>
-    </exec>
-
-    <echo/>
-    <echo message="*************************************"/>
-    <echo message="* Hudson stopped successfully       *"/>
-    <echo message="* ant hudson-start                  *"/>
-    <echo message="*************************************"/>
-    <echo/>
-
-  </target>
-  
-  <target name="hudson-start" depends="init-hudson" description="Start the Hudson QA environment">
-    
-    <property environment="env"/>
-    <fail message="unset JBOSS_REPOSITORY=${env.JBOSS_REPOSITORY}" if="env.JBOSS_REPOSITORY"/>
-
-    <exec executable="${hudson.tomcat}/bin/catalina.sh" failonerror="true" output="${hudson.target.dir}/hudson.log">
-      <env key="CATALINA_OPTS" value="-Xmx512m -Djava.awt.headless=true"/>
-      <arg line="start"/>
-    </exec>
-
-    <echo/>
-    <echo message="*************************************"/>
-    <echo message="* Hudson started successfully       *"/>
-    <echo message="* http://localhost:${hudson.http.port}/hudson      *"/>
-    <echo message="*************************************"/>
-    <echo/>
-
-  </target>
-  
-</project>

Copied: jbpm4/trunk/hudson/jbpm4-base.sh (from rev 3637, jbpm4/trunk/hudson/hudson-home/command.sh)
===================================================================
--- jbpm4/trunk/hudson/jbpm4-base.sh	                        (rev 0)
+++ jbpm4/trunk/hudson/jbpm4-base.sh	2009-01-15 07:49:43 UTC (rev 3642)
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# A script that uses Maven to build the project and
+# execute its test suite against a given target container 
+#
+# $Id$
+
+WORKSPACE=`pwd`
+JBPMDIR=$WORKSPACE/jbpm4
+DISTRODIR=$JBPMDIR/modules/distribution/target
+
+#
+# build the tests
+#
+cd $JBPMDIR
+MVN_CMD="mvn -DskipTests clean install"
+echo $MVN_CMD; $MVN_CMD 2>&1; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
+# log dependency tree
+#
+MVN_CMD="mvn -o dependency:tree"
+echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
+
+#
+# execute tests
+#
+MVN_CMD="mvn -o -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.log
+cat $WORKSPACE/tests.log | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt


Property changes on: jbpm4/trunk/hudson/jbpm4-base.sh
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:mergeinfo
   + 
Name: svn:eol-style
   + LF

Copied: jbpm4/trunk/hudson/jbpm4-db.sh (from rev 3637, jbpm4/trunk/hudson/hudson-home/command-db.sh)
===================================================================
--- jbpm4/trunk/hudson/jbpm4-db.sh	                        (rev 0)
+++ jbpm4/trunk/hudson/jbpm4-db.sh	2009-01-15 07:49:43 UTC (rev 3642)
@@ -0,0 +1,50 @@
+#!/bin/sh
+#
+# A script that uses Maven to build the project and
+# execute its test suite against a given target container 
+#
+# $Id$
+
+set -x
+
+WORKSPACE=`pwd`
+JBPMDIR=$WORKSPACE/jbpm4
+
+#
+# copy the profiles.xml
+#
+echo copying profiles.xml from resources
+cp -f $WORKSPACE/resources/profiles.xml $JBPMDIR
+
+#
+# build the tests
+#
+cd $JBPMDIR
+MVN_CMD="mvn -DskipTests -Pload clean install"
+echo $MVN_CMD; $MVN_CMD 2>&1; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
+# log dependency tree
+#
+MVN_CMD="mvn -o dependency:tree"
+echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
+
+#
+# execute example tests
+#
+cd $JBPMDIR/modules/examples
+MVN_CMD="mvn -Ddatabase=$DATABASE -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.examples.log
+
+#
+# execute database tests
+#
+cd $JBPMDIR/modules/test-db
+MVN_CMD="mvn -Ddatabase=$DATABASE -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.test-db.log
+
+cat $WORKSPACE/tests.examples.log $WORKSPACE/tests.test-db.log  | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt


Property changes on: jbpm4/trunk/hudson/jbpm4-db.sh
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:mergeinfo
   + 
Name: svn:eol-style
   + LF

Copied: jbpm4/trunk/hudson/jbpm4-load.sh (from rev 3637, jbpm4/trunk/hudson/hudson-home/command-load.sh)
===================================================================
--- jbpm4/trunk/hudson/jbpm4-load.sh	                        (rev 0)
+++ jbpm4/trunk/hudson/jbpm4-load.sh	2009-01-15 07:49:43 UTC (rev 3642)
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# A script that uses Maven to build the project and
+# execute its test suite against a given target container 
+#
+# $Id$
+
+WORKSPACE=`pwd`
+JBPMDIR=$WORKSPACE/jbpm4
+DISTRODIR=$JBPMDIR/modules/distribution/target
+
+#
+# copy the profiles.xml
+#
+echo copying profiles.xml from resources
+cp -f $WORKSPACE/resources/profiles.xml $JBPMDIR
+
+#
+# build the tests
+#
+cd $JBPMDIR
+MVN_CMD="mvn -DskipTests -Pload clean install"
+echo $MVN_CMD; $MVN_CMD 2>&1; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
+# log dependency tree
+#
+MVN_CMD="mvn -o dependency:tree"
+echo $MVN_CMD; $MVN_CMD | tee $WORKSPACE/dependency-tree.txt
+
+#
+# execute tests
+#
+cd modules/test-load
+MVN_CMD="mvn -Ddatabase=$DATABASE -DtestFailureIgnore=true test"
+echo $MVN_CMD; $MVN_CMD 2>&1 | tee $WORKSPACE/tests.log
+cat $WORKSPACE/tests.log | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt


Property changes on: jbpm4/trunk/hudson/jbpm4-load.sh
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:mergeinfo
   + 
Name: svn:eol-style
   + LF




More information about the jbpm-commits mailing list